@use crate::templates::base_html;
@use crate::templates::home_categories_html;
@use crate::home_page::HomePage;
@use crate::home_page::HomeCategory;
@use crate::Urler;

@(home: &HomePage<'_>, categories: &[HomeCategory], url: &Urler)

@:base_html(&home.page(), {
    <header id="home">
        <div class="inner-col">
            <h1><a href="/about">Lib.rs</a></h1>
            <p>Index of @home.total_crates() <a href="https://rust-lang.org">Rust</a> libraries and applications. Lightweight, opinionated, curated, unofficial alternative to crates.io. <a class="linky" href="/about">More…</a></p>
            <form role="search" id=search method="get" action="/search">
                <input accesskey="s" autofocus placeholder="name, keywords, description" autocapitalize="off" autocorrect="off" spellcheck="false"autocomplete="off" tabindex="1" type=search id=search_q name=q><button type=submit>Search</button>
            </form>
            <nav>
                <ul><li class="active">Categories</li>
                <li><a href="/new">New and trending</a></li>
                <li><a href="/stats">Stats</a></li>
                <li><a href="/std">Popular</a></li>
                <li><a href="/dash">Maintainer Dashboard</a></li>
            </ul></nav>
        </div>
    </header>

    <main>
        <section id="home-categories">
            <nav class="inner-col">
                <ul class=cat>
                @:home_categories_html(categories, url, true)
                </ul>
            </nav>
        </section>
    </main>

    <footer>
        <div class="inner-col" role="contentinfo">
        <p><a href="/about">About the site</a>. By <a href=https://github.com/kornelski>kornelski</a>. Not affiliated with the Rust Project.
        @if crate::is_it_arm() { Fun fact: this site runs on an ARM server! }
        </p>
    </div></footer>
})
